<?php
/**
 * @copyright YOUR NAME
 * @author your name <you [at] yoursite [dot] com>
 */

// make sure we are not being called directly
defined('APP_DIR') or exit();

/**
 * meta
 */
function xxReviews_meta()
{
    $_tmp = array(
        'name'        => 'CometChat',
        'url'         => 'cometchat',
        'version'     => '1.0.0',
        'developer'   => 'CometChat, &copy;' . strftime('%Y'),
        'description' => 'Add CometChat to your site',
        'category'    => 'communication',
        'license'     => 'mpl'
    );
    return $_tmp;
}

/**
 * init
 */
function xxReviews_init()
{
    jrCore_register_event_listener('jrCore', 'view_results', 'xxReviews_daily_maintenance_listener');
    return true;
}

//---------------------------------------------------------
// EVENT LISTENERS
//---------------------------------------------------------

/**
 * add two lines of HTML code to the site footer
 * @param $_data array incoming data array
 * @param $_user array current user info
 * @param $_conf array Global config
 * @param $_args array additional info about the module
 * @param $event string Event Trigger name
 * @return array
 */
function xxReviews_view_results_listener($_data, $_user, $_conf, $_args, $event)
{

    // search the database for all audio with an item id (thats all of them)
    $_sp = array(
        'search'         => array(
            '_item_id > 0'
        ),
        'skip_triggers'  => true,
        'ignore_pending' => true,
        'privacy_check'  => false,
        'limit'          => 10000
    );
    $_rt = jrCore_db_search_items('jrAudio', $_sp);
    if (isset($_rt['_items'])  && is_array($_rt['_items'])) {
        $_up =  array();
        foreach ($_rt['_items'] as $item) {
            $new_total = $item['audio_chart_point_count'] + 10; //add ten points to the current total for this item.
            $_up[$item['_item_id']] = array('audio_overall_chart_points_count' => $new_total);
       }

        jrCore_db_update_multiple_items('jrAudio', $_up);
    }

    return $_data;
}
